/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */
/**
 * @file
 * \brief This file defines the ClickableLabel class.
 *
 * @author Mikko Herranen \<ext-mikko.herranen@nokia.com\>
 */
#include <MLabel>
#include "organiser_export.h"

/**
 * A simple clickable label class.
 */
class ORGANISER_EXPORT ClickableLabel : public MLabel
{
  Q_OBJECT

public:
    ClickableLabel(QGraphicsItem *parent = 0)
        : MLabel(parent)
    {
    }

    virtual void mousePressEvent(QGraphicsSceneMouseEvent* event)
    {
      Q_UNUSED(event);
    }

    virtual void mouseReleaseEvent(QGraphicsSceneMouseEvent* event)
    {
      Q_UNUSED(event);
      emit clicked();
    }

signals:
  /**
   * Emitted when the label is clicked.
   */
  void clicked();
};
