/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */
#ifndef COLOREDBUTTONVIEW_P_H
#define COLOREDBUTTONVIEW_P_H

class ColoredButtonWidget;

/**
 * \brief Private part of ColoredButtonView class.
 */
class ColoredButtonViewPrivate
{
private:
  ColoredButtonView* q_ptr;
  Q_DISABLE_COPY(ColoredButtonViewPrivate);
  Q_DECLARE_PUBLIC(ColoredButtonView);

public:
  /**
   * \brief Constructor.
   *
   * \param p Pointer to public class.
   * \param p Pointer to controller class.
   */
  ColoredButtonViewPrivate(ColoredButtonView* p, ColoredButton* controller);

  /**
   * \brief Initialization function.
   */
  void init();

  /**
   * \brief Destructor.
   */
  ~ColoredButtonViewPrivate();

  /**
   * \brief Initialize the class.
   */
  ColoredButton* controller;

};

#endif
