/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */
#ifndef MULTISTATEWIDGET_P_H
#define MULTISTATEWIDGET_P_H

#include "multistatewidgetmodel.h"

typedef QPair<MAbstractLayoutPolicy*, MAbstractLayoutPolicy*> LayoutPairType;
typedef QMap<int, LayoutPairType> LayoutMapType;

class MultiStateWidget;

class MultiStateWidgetPrivate
{
public:
  Q_DECLARE_PUBLIC(MultiStateWidget);
  MultiStateWidgetPrivate(MultiStateWidget* p);
  virtual ~MultiStateWidgetPrivate();
  void init();

  LayoutMapType* layoutMap;
    
protected:
  MultiStateWidget* q_ptr;
};

#endif
