/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

/**
 * @file
 * \brief Private data for controller of widget to create or edit notebooks.
 *
 * @author Kristoffer Lawson \<ext-kristoffer.lawson@nokia.com\>
 */

#ifndef NOTEBOOKEDITWIDGET_P_H
#define NOTEBOOKEDITWIDGET_P_H

#include <QObject>

class NotebookEditWidget;

/**
 * \brief Private part of the NotebookEditWidgetWidget controller.
 */
class NotebookEditWidgetPrivate
{
public:
  /**
   * \brief Constructor.
   *
   * @param p Pointer to the public controller class.
   */
  NotebookEditWidgetPrivate(NotebookEditWidget* p);

  /**
   * \brief Destructor.
   */
  virtual ~NotebookEditWidgetPrivate();

  /**
   * \brief Initialize.
   */
  void init();


protected:
  Q_DECLARE_PUBLIC(NotebookEditWidget);
  Q_DISABLE_COPY(NotebookEditWidgetPrivate);
  NotebookEditWidget* q_ptr;

};

#endif

