/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

/**
 * @file
 * \brief Model for widget to create or edit a notebook.
 *
 * @author Kristoffer Lawson \<ext-kristoffer.lawson@nokia.com\>
 * @author Tuomas Toivonen \<ext-tuomas.1.toivonen@nokia.com\>
 */

#ifndef NOTEBOOKEDITWIDGETMODEL_H
#define NOTEBOOKEDITWIDGETMODEL_H

#include <MWidgetModel>
#include <QColor>
#include "organiser_export.h"

class NotebookEditWidgetModel : public MWidgetModel
{
    Q_OBJECT
    M_MODEL(NotebookEditWidgetModel)

public:
    enum NotebookEditType
    {
        NotebookUninit = 0,
        NotebookNew,
        NotebookEdit
    };

private:
    M_MODEL_PROPERTY(QColor, color, Color, true, QColor())
    M_MODEL_PROPERTY(QString, notebookId, NotebookId, true, QString())
    M_MODEL_PROPERTY(QString, title, Title, true, QString())
    M_MODEL_PROPERTY(bool, visible, Visible, true, true)
    M_MODEL_PROPERTY(bool, defaultNotebook, DefaultNotebook, true, false)
    M_MODEL_PROPERTY(QString, syncProfile, SyncProfile, true, QString())
    M_MODEL_PROPERTY(QString, pluginName, PluginName, true, QString())
    M_MODEL_PROPERTY(QString, account, Account, true, QString())
    M_MODEL_PROPERTY(bool, shareable, Shareable, true, false)
    M_MODEL_PROPERTY(QStringList, sharedWith, SharedWith, true, QStringList())
    M_MODEL_PROPERTY(int, eventCount, EventCount, true, 0)
    M_MODEL_PROPERTY(int, todoCount, TodoCount, true, 0)
    M_MODEL_PROPERTY(int, journalCount, JournalCount, true, 0)
    M_MODEL_PROPERTY(int, newNotebook, NewNotebook, true, NotebookUninit)
};

#endif
