/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

/**
 * @file
 * \brief This file defines the model for the Manage Calendars widget.
 *
 * @author Kristoffer Lawson \<ext-kristoffer.lawson@nokia.com\>
 */

#ifndef NOTEBOOKMANAGEMENTWIDGETMODEL_H
#define NOTEBOOKMANAGEMENTWIDGETMODEL_H

#include <MWidgetModel>
#include <QList>
#include "notebookmanager.h"

typedef QList<mKCal::Notebook::Ptr> NotebookList;

class NotebookManagementWidgetModel : public MWidgetModel
{
    Q_OBJECT
    M_MODEL(NotebookManagementWidgetModel)

public:

private:
    M_MODEL_PROPERTY(NotebookList, notebooks, Notebooks, true, NotebookList())

};

#endif
