/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */
/**
 * @file
 * \brief This file defines the private part of NotebookManager.
 *
 * @author Mikko Herranen \<ext-mikko.herranen@nokia.com\>
 */
#ifndef NOTEBOOKMANAGER_P_H
#define NOTEBOOKMANAGER_P_H

#include <notebook.h>
#include <QList>

class NotebookManager;

/**
 * \brief Private part of NotebookManager.
 */
class NotebookManagerPrivate
{
public:
  /**
   * \brief Constructor.
   *
   * @param p Pointer to the public class.
   */
  NotebookManagerPrivate(NotebookManager* p);

  /**
   * \brief Destructor.
   */
  virtual ~NotebookManagerPrivate();

  /**
   * \brief A list of notebooks managed by this manager.
   */
  mKCal::Notebook::List notebooks;

private:
  Q_DECLARE_PUBLIC(NotebookManager);
  Q_DISABLE_COPY(NotebookManagerPrivate);
  NotebookManager* q_ptr;

};

#endif
