/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */
/**
 * @file
 * \brief This file defines the private part of NotebookWidget.
 *
 * @author Mikko Herranen \<ext-mikko.herranen@nokia.com\>
 */
#ifndef NOTEBOOKWIDGET_P_H
#define NOTEBOOKWIDGET_P_H

class MAction;
class NotebookWidget;

/**
 * \brief Private part of NotebookWidget class.
 */
class NotebookWidgetPrivate
{
public:
  Q_DECLARE_PUBLIC(NotebookWidget);
  NotebookWidgetPrivate(NotebookWidget* p);
  virtual ~NotebookWidgetPrivate();

  void init();
  QStringList notebookIds() const;
  void setActions();

  MAction* enableAction;
  MAction* disableAction;
  MAction* deleteAction;
  bool showActions;

protected:
  NotebookWidget* q_ptr;
};

#endif
