/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

#ifndef NOTEBOOKWIDGETCOLORVIEW_H
#define NOTEBOOKWIDGETCOLORVIEW_H

#include <MWidgetStyle>
#include <MWidgetView>

#include "notebookwidget.h"
#include "notebookwidgetmodel.h"
#include "notebookwidgetsettingsstyle.h"
#include "organiserutility.h"

class NotebookWidgetColorViewPrivate;

/**
 * \brief View class for NotebookWidgetColor.
 */
class NotebookWidgetColorView : public MWidgetView
{
  Q_OBJECT
  M_VIEW(NotebookWidgetModel, NotebookWidgetSettingsStyle)

public:
  /**
   * \brief Constructor.
   */
  NotebookWidgetColorView(NotebookWidget* controller);

  /**
   * \brief Destructor.
   */
  virtual ~NotebookWidgetColorView();

  /**
   * \brief Color label for the notebook.
   */
  MyColorLabel* notebookColor;

protected:
  //! \reimp
  virtual void applyStyle();
  virtual void setupModel();
  //! \reimp_end

private:
  Q_DISABLE_COPY(NotebookWidgetColorView);
  Q_DECLARE_PRIVATE(NotebookWidgetColorView);
  NotebookWidgetColorViewPrivate* d_ptr;

protected slots:
  //! \reimp
  virtual void updateData(const QList<const char*>& modifications);
  //! \reimp_end

  void notebookSelectorHeaderClicked();

};

#endif

