/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

#ifndef NOTEBOOKWIDGETCOLORVIEW_P_H
#define NOTEBOOKWIDGETCOLORVIEW_P_H

#include <MGridLayoutPolicy>
#include <MLayout>
#include <MButton>
#include <MLabel>
#include <MPopupList>

#include <QModelIndex>

class NotebookWidgetColor;
class NotebookWidgetColorView;
class MyColorLabel;

/**
 * \brief Private part of NotebookWidgetColorView.
 */
class NotebookWidgetColorViewPrivate
{
private:
  NotebookWidgetColorView* q_ptr;
  Q_DISABLE_COPY(NotebookWidgetColorViewPrivate);
  Q_DECLARE_PUBLIC(NotebookWidgetColorView);

public:
  /**
   * \brief Constructor.
   *
   * \param p Pointer to the public class.
   * \param controller Pointer to controller class instance.
   */
  NotebookWidgetColorViewPrivate(NotebookWidgetColorView* p, NotebookWidget* controller);

  /**
   * \brief Destructor.
   */
  ~NotebookWidgetColorViewPrivate();

  NotebookWidget* controller;

};

#endif
