/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */
#ifndef NOTEBOOKWIDGETMODEL_H
#define NOTEBOOKWIDGETMODEL_H

#include <MWidget>
#include <MWidgetModel>
#include <QColor>
#include "organiser_export.h"

class ORGANISER_EXPORT NotebookWidgetModel : public MWidgetModel
{
    Q_OBJECT
    M_MODEL(NotebookWidgetModel)

public:
    // TODO: This should be refactored so that
    // NoteWidgetModel::NoteType, NoteEditWidgetModel::NoteType and
    // this are the same!
    enum NoteType {
        Unset,
        Incidence,
        Todo,
        Journal
    }; 

private:
    M_MODEL_PROPERTY(QColor, notebookColor, NotebookColor, true, QColor())
    M_MODEL_PROPERTY(bool, notebookVisible, NotebookVisible, true, true)
    M_MODEL_PROPERTY(QString, notebookId, NotebookId, true, QString())
    M_MODEL_PROPERTY(QString, notebookName, NotebookName, true, QString())
    M_MODEL_PROPERTY(QString, notebookAccount, NotebookAccount, true, QString())
    M_MODEL_PROPERTY(bool, notebookShared, NotebookShared, true, false)
    M_MODEL_PROPERTY(QStringList, notebookSharedWith, NotebookSharedWith, true, QStringList())
    M_MODEL_PROPERTY(bool, pressed, Pressed, true, false)

    // Just used by PickerView and SettingsView
    M_MODEL_PROPERTY(QStringList, notebookIds, NotebookIds, true, 
		     QStringList())
    M_MODEL_PROPERTY(NotebookWidgetModel::NoteType,
                     shownType, ShownType, true, Unset)
};

#endif
