/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */
#ifndef NOTELISTWIDGETWRAPPER_P_H
#define NOTELISTWIDGETWRAPPER_P_H

#include <QString>

class MLabel;
class MLayout;
class NoteListWidget;
class MStylableWidget;
class MLinearLayoutPolicy;
class NoteListWidgetWrapper;

/**
 * \brief Private part of the NoteListWidgetWrapper controller.
 */
class NoteListWidgetWrapperPrivate
{
public:

    NoteListWidgetWrapperPrivate(NoteListWidgetWrapper* p, NoteListWidget* widget);

    void init();

    MLinearLayoutPolicy* labelPolicy;

    MLinearLayoutPolicy* listPolicy;

    NoteListWidget* list;

    MLabel* label;

private:

    Q_DECLARE_PUBLIC(NoteListWidgetWrapper);
    Q_DISABLE_COPY(NoteListWidgetWrapperPrivate);
    NoteListWidgetWrapper* q_ptr;

};

#endif
