/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

#include <notelistwidget.h>

#include <QPointer>

class MAction;
class NoteWidget;

class NoteWidgetPrivate {

public:
  /**
   * \brief Constructor.
   *
   * \param p Pointer to the public class instance.
   */
  NoteWidgetPrivate(NoteWidget* p,NoteListWidget* list);

  /**
   * \brief Destructor.
   */
  ~NoteWidgetPrivate();

  /**
   * \brief Add/remove actions that depend on the note's type and content.
   */
  void addRemoveActions();

  static const QObject* clickReceiver;
  static const char* clickSlot;

  static const QObject* editNoteReceiver;
  static const char* editNoteSlot;

  static const QObject* deleteNoteReceiver;
  static const char* deleteNoteSlot;
  static Qt::ConnectionType deleteNoteRecConnectionType;

  MAction* deleteAction;
  MAction* editAction;
  MAction* completedAction;
  MAction* uncompletedAction;

  QPointer<NoteListWidget> listWidget;

protected:
  Q_DECLARE_PUBLIC(NoteWidget);
  Q_DISABLE_COPY(NoteWidgetPrivate);
  NoteWidget* q_ptr;

};
