/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */
#ifndef NOTEWIDGETSTYLE_H
#define NOTEWIDGETSTYLE_H

#include <MWidgetStyle>
#include <QSizeF>
#include <QColor>
#include "organiser_export.h"

class MScalableImage;

class ORGANISER_EXPORT NoteWidgetStyle : public MWidgetStyle
{
    Q_OBJECT
    M_STYLE(NoteWidgetStyle)

    // Note: All of this is _within_ the right-padding of the real
    // NoteWidget; therefore, the right-padding = stripeleftmargin +
    // stripewidth + stripeRightMargin
    M_STYLE_ATTRIBUTE(int, indicatorsPaddingRight, IndicatorsPaddingRight)
    M_STYLE_ATTRIBUTE(int, stripeWidth, StripeWidth)
    M_STYLE_ATTRIBUTE(int, stripeLeftMargin, StripeLeftMargin)
    M_STYLE_ATTRIBUTE(int, stripeRightMargin, StripeRightMargin)
    M_STYLE_ATTRIBUTE(int, stripeTopMargin, StripeTopMargin)
    M_STYLE_ATTRIBUTE(int, stripeBottomMargin, StripeBottomMargin)
    M_STYLE_PTR_ATTRIBUTE(MScalableImage*, alarmImage, AlarmImage)
    M_STYLE_PTR_ATTRIBUTE(MScalableImage*, stripeMaskImage, StripeMaskImage)
    M_STYLE_PTR_ATTRIBUTE(MScalableImage*, stripeMaskImageAlt, StripeMaskImageAlt)
    M_STYLE_ATTRIBUTE(QSizeF, alarmImageSize, AlarmImageSize)
    M_STYLE_ATTRIBUTE(int, alarmImageMarginTop, AlarmImageMarginTop)
    M_STYLE_ATTRIBUTE(int, alarmImageMarginRight, AlarmImageMarginRight)
    M_STYLE_ATTRIBUTE(bool,backgroundDraw, BackgroundDraw )

    M_STYLE_ATTRIBUTE(QFont, titleFont, TitleFont)
    M_STYLE_ATTRIBUTE(QFont, timeFont, TimeFont)
    M_STYLE_ATTRIBUTE(QFont, locationFont, LocationFont)

    M_STYLE_ATTRIBUTE(QColor, titleColor, TitleColor)
    M_STYLE_ATTRIBUTE(QColor, timeColor, TimeColor)
    M_STYLE_ATTRIBUTE(QColor, locationColor, LocationColor)
};

class M_EXPORT NoteWidgetStyleContainer : public MWidgetStyleContainer
{
    M_STYLE_CONTAINER(NoteWidgetStyle)
};

#endif
