/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */
/**
 * @file organiserdebug.h
 * This file defines the debug macros.
 *
 * @author Tero Aho \<ext-tero.1.aho@nokia.com\>
 */
#ifndef ORGANISER_DEBUG_H
#define ORGANISER_DEBUG_H

#include <QDebug>
#include "organiser_export.h"

#if !defined(QT_NO_DEBUG_OUTPUT)

#define qDebug(x) qDebug() << __FILE__":" << __LINE__ << "-"
#define qWarning(x) qWarning() << __FILE__":" << __LINE__ << "-"
#define qCritical(x) qCritical() << __FILE__":" << __LINE__ << "-"
#define qFatal(x) qFatal() << __FILE__":" << __LINE__ << "-"

#endif

ORGANISER_EXPORT void debugOutputToFile(const QString &fileName);

#endif
