/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

#ifndef CALENDARMBUTTONVIEW_H
#define CALENDARMBUTTONVIEW_H

#include <MButtonView>
#include <MButton>

#include "organiser_export.h"

class MButton;

/**
 * Subclass of MButtonView with correct sizehint behavior.
 *
 * This utility subclass just provides the correct-ish sizeHint
 * functionality; by default, the MButtonView's preferredSize handling
 * is odd, to put it nicely.
 */
class ORGANISER_EXPORT OrganiserMButtonView : public MButtonView
{
    Q_OBJECT
    M_VIEW(MButtonModel, MButtonStyle)

public:
    OrganiserMButtonView(MButton* c) :
        MButtonView(c), controller(c) {}
    ~OrganiserMButtonView() {}
    //! \reimp
    virtual QSizeF sizeHint(Qt::SizeHint which, const QSizeF& constraint = QSizeF()) const;
    //! \reimp_end
protected:
    MButton* controller;
};

#endif /* !CALENDARMBUTTONVIEW_H */
