/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */
#ifndef ORGANISERTRANSLATOR_H
#define ORGANISERTRANSLATOR_H

#include <QObject>
#include <QStringList>
#include "organiser_export.h"

/**
 * \brief A translation helper class.
 */
class ORGANISER_EXPORT OrganiserTranslator
{
public:
  /**
   * \brief Install engineering english translations for liborganiser.
   *
   * \param trBase Base name for translations. If given, install translation
   * catalogs with this name in addition to liborganiser catalog(s).
   * Required only if the application name differs from the translation name.
   * (For example: organiser vs. calendar)
   */
  static void installLiborganiserTranslationCatalogs(const QString& trBase = QString());

  /**
   * \brief Install multiple translation catalogs.
   */
  static void installLiborganiserTranslationCatalogs(const QStringList& catalogs = QStringList());

};

#endif
