#ifndef ORGANISERUTILITY_P_H
#define ORGANISERUTILITY__PH

#include <MWidget>

#include "organiserutility.h"

class VisibilityContainerWidgetPrivate : public MWidget
{
    Q_OBJECT
public:
    VisibilityContainerWidgetPrivate(VisibilityNotificationIF *widget,
                                     MWidget *parent);

public slots:
    void dataUpdated();
    void configUpdated();
    void dateChanged();
    void hourChanged();
    void minuteChanged();
    void queuedUpdateChild();
    void notebooksChanged();
signals:
    void updateChild();

protected:
    //! \reimp
    virtual void enterDisplayEvent();
    virtual void exitDisplayEvent();
    //! \reimp_end
    //virtual void exitDisplayEvent();

    /**
     * \brief The child-widget. We don't really care about it's
     * widget-ness anymore, so we use the VisibilityNotificationIF
     * pointer here.
     */
    VisibilityNotificationIF *child;

    /**
     * \brief Set to a non-zero value if the widget needs to update its
     * content after becoming visible again. The value is a bitwise-or of
     * the triggered update type flags.
     */
    int needsUpdate;

    /**
     * \brief Helper function for emitting an update signal.
     */
    void update(int mask);


    /**
     * \brief Used to keep track of the 'on display' status. This is needed
     * because meegotouch does not guarantee the order of sending of
     * enterDisplayEvent and isOnDisplay() starting to return true.
     */
    bool onDisplay;
};



#endif /* !ORGANISERUTILITY_P_H */
