/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

#ifndef PAGEHEADERWIDGET_H
#define PAGEHEADERWIDGET_H

#include <MStylableWidget>
#include "organiser_export.h"
#include "pageheaderwidgetstyle.h"

class QGraphicsLinearLayout;
class MLabel;
class MButton;
class MSeparator;
class MImageWidget;
class MyColorLabel;
class PageHeaderWidgetStyleContainer;

class ORGANISER_EXPORT OrganiserPageHeaderWidget : public MStylableWidget
{
    Q_OBJECT

public:
    explicit OrganiserPageHeaderWidget(QGraphicsItem *parent = 0);
    virtual ~OrganiserPageHeaderWidget() {}
    QString title() const;
    QString image() const;
    MButton* getButtonWidget();

public slots:
    void setTitle(const QString& message);
    void setImage(const QString& id);
    void setColor(const QColor& color);
    void setButtonVisible(bool v);
    void setSeparatorVisible(bool v);
    void setSeparatorStyle(const QString& name);


private:
    QGraphicsLinearLayout *layoutHorisontal;
    QGraphicsLinearLayout *layoutVertical;
    MLabel* messageLabel;
    MImageWidget* imageWidget;
    MButton* buttonWidget;
    MSeparator* separatorWidget;
    QColor m_color;
    M_STYLABLE_WIDGET(PageHeaderWidgetStyle)

    virtual void paint(QPainter* painter,
                       const QStyleOptionGraphicsItem* option,
                       QWidget* widget = 0);

protected:
    virtual void applyStyle();
};

#endif
