/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */
#ifndef PAGEHEADERWIDGETSTYLE_H
#define PAGEHEADERWIDGETSTYLE_H

#include <MWidgetStyle>
#include "organiser_export.h"

class MScalableImage;
class QColor;

class ORGANISER_EXPORT PageHeaderWidgetStyle : public MWidgetStyle
{
    Q_OBJECT
    M_STYLE(PageHeaderWidgetStyle)
    M_STYLE_PTR_ATTRIBUTE(MScalableImage*, image, Image)
    M_STYLE_ATTRIBUTE(bool, gradient, Gradient)
    M_STYLE_ATTRIBUTE(QString, labelStyle, LabelStyle)
    M_STYLE_ATTRIBUTE(QColor, color, Color)
};

class M_EXPORT PageHeaderWidgetStyleContainer : public MWidgetStyleContainer
{
    M_STYLE_CONTAINER(PageHeaderWidgetStyle)
};

#endif
