/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */
/**
 * @file
 * \brief This file defines the private part of PageSwitcher.
 *
 * @author Mikko Herranen \<ext-mikko.herranen@nokia.com\>
 */
#ifndef PAGESWITCHER_P_H
#define PAGESWITCHER_P_H

#include <QStack>

class MApplicationPage;

class PageSwitcherPrivate
{
public:
  PageSwitcherPrivate();
  ~PageSwitcherPrivate();

  QStack<MSceneWindow* > lastPages;
  QList<MDialog*> autokillDialogs;

  bool forceAnimation;

private:
  Q_DISABLE_COPY(PageSwitcherPrivate);
};

#endif
